# Class CIM_AdjacentSlots

AdjacentSlots describes the layout of Slots on a HostingBoard or adapter Card. Information like the distance between the Slots and whether they are 'shared' (if one is populated, then the other Slot can not be used), is conveyed as properties of the association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AdjacentSlots

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | AdjacentSlots describes the layout of Slots on a HostingBoard or adapter Card. Information like the distance between the Slots and whether they are 'shared' (if one is populated, then the other Slot can not be used), is conveyed as properties of the association.
UMLPackagePath | string | CIM::Physical::Connector
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DistanceBetweenSlots | real32 |
Description | string | The distance, in inches, between adjacent Slots.
PUnit | string | inch
Units | string | Inches
SharedSlots | boolean |
Description | string | Slots can be located in close proximity on Hosting Boards or other Cards, such that if one of these Slots is populated by an adapter Card, the other Slot must be left empty. This relationship is indicated by the SharedSlots boolean set to TRUE.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
SlotA | CIM_AdjacentSlots | CIM_Slot
SlotB | CIM_AdjacentSlots | CIM_Slot

## Class Methods